Bug 1386342 - [RFE] it's impossible to Provision VMs if VMs view is opened through Providers or Clusters,etc. views
Summary: [RFE] it's impossible to Provision VMs if VMs view is opened through Provider...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.7.2
Assignee: Brian McLaughlin
QA Contact: Leo Khomenko
URL:
Whiteboard: ui:provision
Depends On: 1373850
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 17:43 UTC by Satoe Imaishi
Modified: 2017-04-12 14:33 UTC (History)
8 users (show)

Fixed In Version: 5.7.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1373850
Environment:
Last Closed: 2017-04-12 14:33:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Provider / Instances (54.91 KB, image/png)
2016-10-26 19:38 UTC, Leo Khomenko
no flags Details
Compute / Cloud / Instances (63.72 KB, image/png)
2016-10-26 19:39 UTC, Leo Khomenko
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 Leo Khomenko 2016-10-19 07:55:12 UTC
yes. now in 5.7.0.5 we are able to Provision Vm if wee open Vm's view thru Providers / Relationships / Vms or Provider / Vms & Instances

Comment 3 Leo Khomenko 2016-10-26 19:38:58 UTC
Created attachment 1214404 [details]
Provider / Instances

No Provision Option

Comment 4 Leo Khomenko 2016-10-26 19:39:47 UTC
Created attachment 1214417 [details]
Compute / Cloud / Instances

Provision Option is available

Comment 5 Leo Khomenko 2016-10-26 19:41:56 UTC
this BZ is re-occurred in 5.7.0.7.

Comment 11 CFME Bot 2017-01-06 13:27:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/aa51122d0a0f0c42c2a1bbac72f6a2e9f33e78d3

commit aa51122d0a0f0c42c2a1bbac72f6a2e9f33e78d3
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Dec 13 13:36:28 2016 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu Jan 5 10:30:23 2017 -0500

    Enable Provision Instances button via relationships
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1386342
    (cherry picked from commit cda4fa0e695a6330b5aa061d6f5660df7c708b4c)

 app/helpers/application_helper/toolbar_builder.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 12 CFME Bot 2017-01-06 13:28:00 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e994e3f67b5a0ddc49379928d4bca694dfde99e0

commit e994e3f67b5a0ddc49379928d4bca694dfde99e0
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Dec 13 13:38:32 2016 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu Jan 5 10:30:23 2017 -0500

    Spec test
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1386342
    (cherry picked from commit bbd39e7edf76547d4e162ab47726f9c09669bb0f)

 spec/helpers/application_helper/toolbar_builder_spec.rb | 10 ++++++++++
 1 file changed, 10 insertions(+)

Comment 13 CFME Bot 2017-01-06 13:28:06 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4ef7e51c49d444e953455ddb0717a8c34923aff5

commit 4ef7e51c49d444e953455ddb0717a8c34923aff5
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Jan 3 13:55:39 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu Jan 5 10:30:23 2017 -0500

    Improved readability of spec
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1386342

 .../application_helper/toolbar_builder_spec.rb     | 28 +++++++++-------------
 1 file changed, 11 insertions(+), 17 deletions(-)

Comment 15 CFME Bot 2017-01-12 02:55:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d9fe1d88fad71bd37fecbe04b8455829312299a4

commit d9fe1d88fad71bd37fecbe04b8455829312299a4
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Jan 6 14:25:57 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 11 21:54:19 2017 -0500

    Merge pull request #53 from bmclaughlin/miq_pr_13152
    
    Enable provision instances button via providers
    (cherry picked from commit b30561c62a2e9979f6367ce12bcc07a3111cd372)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1386342

 app/helpers/application_helper/toolbar_builder.rb      |  2 +-
 .../helpers/application_helper/toolbar_builder_spec.rb | 18 +++++++++++-------
 2 files changed, 12 insertions(+), 8 deletions(-)

Comment 16 Leo Khomenko 2017-01-25 15:12:26 UTC
Basically this BZ was about difference in VM views if we open them from various controllers. We have Lifecycle menu in all Views below but "Provision Vm" was lost in few of them
Infra/Provider - Vms - Ok
Infra/Cluster - VMs - No Provision Button in Lifecycle menu
Infra/Datastore - VMs in any datastore - No Provision Button in Lifecycle menu
Infra/Host - VMs on any host - Ok
Cloud/Provider - Instances - Ok
Cloud/Av.Zones - Vms - Ok

Some VM views still don't have Provision option in Lifecycle menu

Comment 18 CFME Bot 2017-03-03 20:55:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2172e6c59111e3bd963e281b4d5cb665d7a8393b

commit 2172e6c59111e3bd963e281b4d5cb665d7a8393b
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Feb 7 11:15:20 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 15:50:10 2017 -0500

    Merge pull request #298 from bmclaughlin/add-provision-button-in-datastore-and-cluster
    
    Enable 'Provision VMs' button in Datastores and Clusters
    (cherry picked from commit 24a0bd6586b7637d4a14e8cc3b7b6137abb55950)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1386342

 app/helpers/application_helper/toolbar_builder.rb      |  2 +-
 .../helpers/application_helper/toolbar_builder_spec.rb | 18 ++++++++++--------
 2 files changed, 11 insertions(+), 9 deletions(-)

Comment 19 Leo Khomenko 2017-03-24 12:27:32 UTC
now all views have Provision options

Comment 21 errata-xmlrpc 2017-04-12 14:33:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.